//DrawString 1.4
//to compile, run "tigcc -02 drawstr.c"

#include <nostub.h>
#include <all.h>
int _ti89;
void _main(){
  ESI ap;					//declare argument pointer
  int num,x,y,f=0,c=4;				//declare integer variables
  char *s;					//string variable
  InitArgPtr(ap);				//initialize argument pointer
  if(GetArgType(ap)==END_TAG){			//check if no arguments
   exit:
    ST_helpMsg("X,Y[,FONT:0-2,COLOR:0-4],STRING");	//displays help in status line
   draw:
    DrawLine(0,93,159,93,A_NORMAL);		//draw the line on the bottom
    return;
  }
 		
  if((GetArgType(ap)!=POSINT_TAG)||((x=GetIntArg(ap))>159))	//check first argument (x)
    goto exit;							//exit if invalid
					

  if((GetArgType(ap)!=POSINT_TAG)||((y=GetIntArg(ap))>99))	//check second argument (y)
    goto draw;							//exit if invalid
  
 
  if((GetArgType(ap)==POSINT_TAG)&&((num=GetIntArg(ap))<3))	//check third argument (font)
    f=num;							//if missing or invalid 
   								//default (0) will be used

  if((GetArgType(ap)==POSINT_TAG)&&((num=GetIntArg(ap))<5))	//check fourth argument (color)
    c=num;							//if invalid default(4) is used

  if(GetArgType(ap)!=STR_TAG)					//check fifth argument (string)
    goto exit;  						//exit if invalid
  s=GetStrnArg(ap);

 
 FontSetSys(f);				//set font to the value of f
 DrawStr(x,y,s,c);			//ROM call to draw the string
 FontSetSys(1);				//reset font to medium (tios default)
 
}